This queue is for tickets about the XML-LibXSLT CPAN distribution.

Report information
The Basics
Id:
51474
Status:
rejected
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
bpphillips+bitcard [...] gmail.com
Cc:
AdminCc:

BugTracker
Severity:
Critical
Broken in:
1.70
Fixed in:
(no value)



Subject: segfault on win32 at program end after calling ->transform($doc)
See attached for the simple test case. I hope you can fix this even though it's just on win32 :-)
Subject: segfault-test.zip

Message body not shown because it is not plain text.

On Thu Nov 12 09:49:29 2009, bphillips wrote:
Show quoted text
> See attached for the simple test case. I hope you can fix this even > though it's just on win32 :-)
Hi, I cannot reproduce this on my current setup. Can you please provide the following information: Perl version and vendor and the output from these: perl -MXML::LibXML -e 'print $XML::LibXML::VERSION,qq(\n)' perl -MXML::LibXSLT -e 'print $XML::LibXSLT::VERSION,qq(\n)' perl -MXML::LibXML -e 'print XML::LibXML::LIBXML_VERSION(),qq(\n)' perl -MXML::LibXML -e 'print XML::LibXML::LIBXML_RUNTIME_VERSION(),qq(\n)' perl -MXML::LibXSLT -e 'print XML::LibXSLT::LIBXSLT_VERSION(),qq(\n)' perl -MXML::LibXSLT -e 'print XML::LibXSLT::LIBXSLT_RUNTIME_VERSION(),qq(\n)' and if you installed the modules via a binary (e.g. PPM) distribution, the repository you used? Thanks! -- Petr
I'm on Strawberry Perl 5.10.1 which comes with XML::LibXML 1.70 and XML::LibXSLT 1.70. I'm no longer able to reproduce this after I did the following: * Download libxml2.dll, place in c:\strawberry\c\bin as "libxml2_.dll" * cpan -f XML::LibXML * run script (no segfault) * revert libxml2_.dll to the previous version * cpan -f XML::LibXML * run script (no segfault) * throws up hands in disbelief ;-) Sorry to waste your time (and an RT ticket ID). I'm marking this as "rejected". On Thu Nov 12 10:24:00 2009, PAJAS wrote:
Show quoted text
> On Thu Nov 12 09:49:29 2009, bphillips wrote:
> > See attached for the simple test case. I hope you can fix this even > > though it's just on win32 :-)
> > Hi, I cannot reproduce this on my current setup. Can you please
provide
Show quoted text
> the following information: > > Perl version and vendor > > and the output from these: > > perl -MXML::LibXML -e 'print $XML::LibXML::VERSION,qq(\n)' > perl -MXML::LibXSLT -e 'print $XML::LibXSLT::VERSION,qq(\n)' > perl -MXML::LibXML -e 'print XML::LibXML::LIBXML_VERSION(),qq(\n)' > perl -MXML::LibXML -e 'print
XML::LibXML::LIBXML_RUNTIME_VERSION(),qq(\n)'
Show quoted text
> perl -MXML::LibXSLT -e 'print XML::LibXSLT::LIBXSLT_VERSION(),qq(\n)' > perl -MXML::LibXSLT -e 'print > XML::LibXSLT::LIBXSLT_RUNTIME_VERSION(),qq(\n)' > > and if you installed the modules via a binary (e.g. PPM) distribution, > the repository you used? > > Thanks! > > -- Petr


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.